aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/respawn-only.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/respawn-only.sh')
-rwxr-xr-xcontrib/respawn-only.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/contrib/respawn-only.sh b/contrib/respawn-only.sh
index 66aaac79..478abd66 100755
--- a/contrib/respawn-only.sh
+++ b/contrib/respawn-only.sh
@@ -3,6 +3,7 @@
PID=$$
echo "-1000" > /proc/$PID/oom_score_adj
+trap "{ kill 0; kill -2 0; }" EXIT
while [ -f $1 ]; do
(echo "0" > /proc/self/oom_score_adj && exec nice -n -20 $*) &